### Method

# WebKit FileChooserRequest get_mime_types_filter

#### Declaration [src]

    GtkFileFilter*
    webkit_file_chooser_request_get_mime_types_filter (
      WebKitFileChooserRequest* request
    )

#### Description [src]

Get the filter currently associated with the request.

Get the filter currently associated with the request, ready to be used by `GtkFileChooser`. This function should normally be called before presenting the file chooser dialog to the user, to decide whether to apply a filter so the user would not be allowed to select files with other MIME types.

See `webkit_file_chooser_request_get_mime_types()` if you are interested in getting the list of accepted MIME types.

#### Return value

Type: `GtkFileFilter`

A `GtkFileFilter` if a list of accepted MIME types is defined or `NULL` otherwise. The returned object is owned by WebKit should not be modified or freed.

The data is owned by the instance.